Joomla 2.5

Joomla has announced the immediate availability of Joomla 2.5. This new major version comes with a host of new features including new search functionality, multi-database support, and update notifications.

Our extensions are ready

We are pleased to announce that DOCman 1.6.x and our upcoming FILEman 1.0 and LOGman 1.0 extensions are Joomla 2.5 ready!

Our team has been extensively testing the latest version of DOCman 1.6 since the early beta releases of Joomla 2.5. Results of the tests showed that DOCman is fully functional and compatible. Minor issues found have been reported to the Joomla development teams and fixed during the beta process.

If you are running DOCman on Joomla 1.7, you can upgrade right away. DOCman will continue working as expected.

Upgrading to Joomla 2.5

Joomla 2.5 is a long term stability release (LTS) and will be supported until December 2013 by the Joomla project. Joomla 1.6 and 1.7 are short term releases (STR) and their support ends immediately after the release of a new version. (release cycle infographic)

At Joomlatools, we will support both long and short term releases for 3 more months after their end of life. This means that we will offer support for Joomla 1.7 until the 30th of April 2012.

This gives you the needed time to upgrade your sites to the latest version. If you are running a Joomla site on 1.6 or 1.7, we advice you to upgrade to Joomla 2.5 in the coming weeks. Moving from 1.7 to 2.5 can be done with the one-click upgrade within Joomla.

DOCman on Joomla 2.5

Screenshot of DOCman 1.6.3 running on Joomla 2.5

  • http://pulse.yahoo.com/_I6QL7VBZDG2HHZFMDIYS2GDC6Q yaw

    I’m somewhat disappointed with you guys. When you started talking about DocMan 2.0, we were at Joomla 1.5. Now its been over a year. We have since passed Joomla 1.6, 1.7 and now 2.5 and still no sign of DocMan 2.0 expect the usual suspect replies…. very bad.

    All the same, good luck in your work
    Best wishes.

  • http://johan.janssens.me Johan Janssens

    The team has been working hard on DOCman 2.0 over the past months. We realized that DOCman is basically made up of 3 key features: files, documents and logs.

    Together, these three make up the core functionality. Instead of holding of until all three features are ready, we have decided to release them as separate extensions. The first two, FILEman and LOGman are in beta at the moment, if you are a subscriber you can download and test them.

    We are currently working hard to get the 1.0 versions out the door. Once that is completed we will put all our focus on DOCman 2.0.

    If you have followed our recent blogs about FILEman you will have noticed that FILEman includes 70% of the DOCman functionality, it allows you to easily setup file galleries and download listings. 

    Fore more info about FILEman see : http://blog.joomlatools.eu/category/fileman

  • Milena

    Hi there, have been a customer using Docman for a while. I like that it is extremely stable and reliable. My main concern though is SEO. The lack of titles and metadescriptions at the menu level for categories and subcategories is flooding my site with duplicate titles and urls. I also find it tough that the search element is part of the page and not available as a separate module that allows search by category list, etc.

    I really hope that these little but game-changing features will be implemented with the new docman. Thank you so much!

  • http://johan.janssens.me Johan Janssens

    Hi Milena, thanks for the excellent feedback. SEO/SEF improvements are on the list for DOCman 2. The feedback about the search is very welcome. We can definitely make a small search module.

    We are working new support forums for better communication with customers. Doing final testing at the moment, forums will go online next month. New forums will have a special ideas tracker we would love to hear your feedback and follow up.

    Thanks !

  • Aciarlo

    I have Joomla 1.5.22 and DocMan 1.5.10 and we are preparing to upgrade to Joomla 2.5.  Should we upgrade DocMan now and if so, to what level?

  • http://johan.janssens.me Johan Janssens

    If you are upgrading to Joomla 2.5 you will need DOCman 1.6.x. We have a discount for existing customer send us an email at support@joomlatools.eu.

  • http://johan.janssens.me Johan Janssens

    If you are upgrading to Joomla 2.5 you will need to upgrade DOCman to the 1.6 version. If you are a 1.5 customer you will need to buy a new subscription from our store : http://www.joomlatools.eu/store. More details on how to migrate can be found here : http://www.joomlatools.eu/support/faq/migration

  • Xleves

    Prezado Johan Janssens,
    I wonder why the owners of Docman, not program the Download Manager Docman to block, prevent users to download depending on the number of downloads made​​, or expiration date, and never give a concise answer. There is another extension do docman that does this? Eves Santa Cruz.

  • http://johan.janssens.me Johan Janssens

    This is on our roadmap for DOCman 2.x.